Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class SymmetricKey.Usage

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.SymmetricKey.Usage

Enclosing class:
  SymmetricKey

public static final class SymmetricKey.Usage
extends java.lang.Object

In PKCS #11, each key can be marked with the operations it will be used to perform. Some tokens require that a key be marked for an operation before the key can be used to perform that operation; other tokens don't care.

When you unwrap a symmetric key, you must specify which one of these operations it will be used to perform.

Field Summary
`static SymmetricKey.Usage` | `DECRYPT`
`static SymmetricKey.Usage` | `ENCRYPT`
`static SymmetricKey.Usage` | `SIGN`
`static SymmetricKey.Usage` | `UNWRAP`
`private int` | `val`
`static SymmetricKey.Usage` | `VERIFY`
`static SymmetricKey.Usage` | `WRAP`

Constructor Summary
`private` | `SymmetricKey.Usage()`
`private` | `SymmetricKey.Usage(int val)`

Method Summary
`int` | `getVal()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### val

    private int val

### ENCRYPT

    public static final SymmetricKey.Usage ENCRYPT

### DECRYPT

    public static final SymmetricKey.Usage DECRYPT

### WRAP

    public static final SymmetricKey.Usage WRAP

### UNWRAP

    public static final SymmetricKey.Usage UNWRAP

### SIGN

    public static final SymmetricKey.Usage SIGN

### VERIFY

    public static final SymmetricKey.Usage VERIFY

Constructor Detail

### SymmetricKey.Usage

    private SymmetricKey.Usage()

### SymmetricKey.Usage

    private SymmetricKey.Usage(int val)

Method Detail

### getVal

    public int getVal()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD